PETSc version 3.15.5
Fix/Edit manual page

# VecScatterGetMerged

Returns true if the scatter is completed in the VecScatterBegin() and the VecScatterEnd() does nothing

### Synopsis

    #include "petscsf.h"
    PetscErrorCode  VecScatterGetMerged(VecScatter sf,PetscBool *flg)

Not Collective

### Input Parameter

| sf | - scatter context created with VecScatterCreate()

### Output Parameter

| flg | - PETSC_TRUE if the VecScatterBegin/End() are all done during the VecScatterBegin()

### See Also

VecScatterCreate(), VecScatterEnd(), VecScatterBegin()

### Level

developer

### Location

src/vec/is/sf/interface/vscat.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages